Search by MICR Code
Introduction
This API search for bank details based on MICR (Magnetic Ink Character Recognition) codes. This API endpoint enables you to retrieve bank details related to the MICR code provided.
Sample CURL
curl --request POST \
--url https://signzy.tech/api/v2/patrons/..your-patron-id../banksearchs \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"task":"micrCode","essentials":{"micrCode":"...micrCode..."}}'Parameter | Type | Description |
|---|---|---|
url | string | The URL of the Signzy API endpoint to which the request is to be sent. The patron ID needs to be replaced with the actual ID. |
Accept | string | The expected response format by the client. In this case, it is any format. |
Accept-Language | string | The language preference for the response. In this case, it is English. |
Authorization | string | The Access Token required to authenticate the API request. |
content-type | string | The type of data sent in the request body. In this case, it is JSON. |
task | string | The type of task to be performed by the API. In this case, it is to search for a bank branch using the MICR code. |
micrCode | string | The MICR code of the bank branch to be searched. |
Sample API Response
{
"result": {
"bankName": "..bankName...",
"address": "..address..",
"state": "..state..",
"district": "..district...",
"branch": "..branch...",
"contact": "..contact..",
"ifscCode": "..ifscCode...",
"micrCode": "..micrCode...",
"splitAddress": {
"state": [
[]
],
"district": [],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
}
}
}Parameter | Description |
|---|---|
bankName | The name of the bank associated with the given MICR code. |
address | The address of the bank branch. |
state | The state where the bank branch is located. |
district | The district where the bank branch is located. |
branch | The name of the bank branch. |
contact | The contact details of the bank branch. |
ifscCode | The IFSC code of the bank branch. |
micrCode | The MICR code of the bank branch. |
splitAddress | An object containing different parts of the bank branch's address such as state, district, city, pincode, country, and addressLine. |